Vulnerability DB

Detailed information and remediation guidance for known vulnerabilities.
Find out if you have vulnerabilities that put you at risk Test your code
Vulnerability Affects Type Published
  • H
Regular Expression Denial of Service (ReDoS)
validator [,3.22.1) NuGet 06 Nov, 2015
  • H
Regular Expression Denial of Service (ReDoS)
validator >=0.1.0 <3.22.1 npm 12 Nov, 2014
  • M
Cross-site Scripting (XSS)
validator [,2.0.0) NuGet 06 Nov, 2015
  • M
Cross-site Scripting (XSS)
validator [,1.1.1) NuGet 06 Nov, 2015
  • M
Cross-site Scripting (XSS)
validator <2.0.0 npm 27 Oct, 2014
  • M
Cross-site Scripting (XSS)
validator <1.1.1 npm 05 Jul, 2013
  • M
Buffer Overflow
validator <5.0.0 npm 18 Feb, 2018
  • M
Cross-site Scripting (XSS)
validator >=3.0.0 <3.34.0 npm 30 Jan, 2017
  • M
Cross-site Scripting (XSS)
validator [3,3.34.0) NuGet 23 Nov, 2016
  • L
Regular Expression Denial of Service (ReDoS)
validator >=5.2.0 <9.4.1 npm 18 Feb, 2018
  • H
Malicious Package
oauth-validator =1.0.2 npm 26 Jun, 2019
  • H
Cross-site Request Forgery (CSRF)
zendframework/zend-validator >=2.3.0, <2.3.6 Composer 12 Mar, 2015
  • H
Prototype Pollution
org.webjars.bowergithub.ajv-validator:ajv [,6.12.3) Maven 16 Jul, 2020
  • H
Malicious Package
attr-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
association-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
ama-validators >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
age-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
address-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
active-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
abn-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
apress_validators >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
activemodel-url-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
activemodel-ipaddr-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
activemodel-immutable-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
activemodel-can-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
activemodel-behavior-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
activemodel-base64-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
active_model-email-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
active-subset-validator >=0.0.0 RubyGems 17 Apr, 2020
  • H
Malicious Package
activemodel_validators >=0.0.0 RubyGems 17 Apr, 2020